#! /bin/bash
# Copyright 2018 - 2019 Zuse Institute Berlin
# Modified by Karlsruhe Institute of Technology <tomas.stary@kit.edu> in year 2023-2024
set -e

source setup.sh

# install required packages
# not called in subshells such that packages can set environment variables
echo Installing libraries >> $LOGFILE
bash $INSTALLHOME/installBoost.sh
bash $INSTALLHOME/installSuiteSparse.sh

bash $INSTALLHOME/installMUMPS.sh
bash $INSTALLHOME/installITSOL.sh
bash $INSTALLHOME/installLibamiramesh.sh
bash $INSTALLHOME/installHypre.sh
bash $INSTALLHOME/installDUNE.sh
bash $INSTALLHOME/installFP.sh

source postinstall.sh
