#! /bin/sh
# Copyright 2018 - 2018 Zuse Institute Berlin
# Modified by Karlsruhe Institute of Technology <tomas.stary@kit.edu> in year 2023-2024
set -e

#------------------------------------------------------------------------------
# Read the necessary paths and locations
. $ENVFILE

# cd $SCRATCH
FP_NAME=`basename -s .git $FP_SRC_PATH`
if  [! -d $DOWNLOAD/$FP_NAME];
then git clone $FP_SRC_PATH $DOWNLOAD/$FP_NAME
fi

cd $DOWNLOAD/$FP_NAME

mkdir -p $TARGET/include/$FP_NAME
cp -r include/* $TARGET/include/$FP_NAME/

echo FPINC = -I$TARGET/include/$FP_NAME    >> $TARGET/Makefile.Local


#------------------------------------------------------------------------------
# Clean up
# if [ -n "$SCRATCH" ]; then
#   echo running rm -r "$SCRATCH"/* in a few seconds
#   sleep 20
#   rm -r "$SCRATCH"/*
# fi
# 

