% Compute the Euler difference matrix on the collocation time grid t on [0,1]

function D = eulerDifferentiationMatrix(t)

if t(1)>0
  t = [0 t];
end

n = length(t);

D = full(spdiags(ones(n,1)*[-1 1],-1:0,n,n));

