% Computes for given iteration matrix G the values
% ||G||_2, ||G^m||^(1/m), and max(abs(eig(G)))


function [nrm,nrmm,rho] = matrixMetrics(G,m)

nrm = norm(G);
rho = max(abs(eig(G)));

n = size(G,1);
Gm = eye(n);
for i=1:m
  Gm = G*Gm;
end
nrmm = norm(Gm)^(1/m);

